Page MenuHomePhabricator

Create a docker container with sonar-scanner for CI
Open, Needs TriagePublic

Description

Now that we have validated that we can do sonar analysis without any jenkins plugin by using Maven integration, we know that we can have a similar more generic approach for PHP / JS / ...

Creating a docker image with sonar-scanner installed should allow to run analysis on any kind of project.

Event Timeline

Gehel created this task.Nov 19 2018, 3:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 3:29 PM

Change 474729 had a related patch set uploaded (by Gehel; owner: Gehel):
[integration/config@master] Add a docker image for sonar-scanner.

https://gerrit.wikimedia.org/r/474729

Change 474729 merged by jenkins-bot:
[integration/config@master] Add a docker image for sonar-scanner.

https://gerrit.wikimedia.org/r/474729

Change 475496 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Fix Dockerfile.template for sonar-scanner

https://gerrit.wikimedia.org/r/475496

Change 475496 merged by jenkins-bot:
[integration/config@master] Fix Dockerfile.template for sonar-scanner

https://gerrit.wikimedia.org/r/475496

Mentioned in SAL (#wikimedia-releng) [2018-11-29T13:54:33Z] <hashar> Building docker-registry.discovery.wmnet/releng/java8-sonar-scanner:0.1.0 for https://gerrit.wikimedia.org/r/475496 | T209849

kostajh moved this task from In-Progress to Done on the Code-Health-Metrics board.Feb 4 2019, 4:15 PM

Change 494548 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Remove requirement for properties file, run and import coverage

https://gerrit.wikimedia.org/r/494548

Change 494548 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Remove requirement for properties file, import coverage if present

https://gerrit.wikimedia.org/r/494548

Change 494548 merged by jenkins-bot:
[integration/config@master] Remove requirement for properties file, import coverage if present

https://gerrit.wikimedia.org/r/494548